

#include "BUILTIN.h"

#include "Nat.h"
extern OBJ __ASeq_6;
extern OBJ _ASeq_52(OBJ,OBJ);extern OBJ __ASeq_52;
extern OBJ _AIde_14(OBJ,OBJ);extern OBJ __AIde_14;

#include "Char.h"

#include "Int.h"
extern OBJ _ABag_6(OBJ,OBJ);extern OBJ __ABag_6;
extern OBJ _ABag_24(OBJ,OBJ);extern OBJ __ABag_24;
extern OBJ _ABag_29(OBJ,OBJ,OBJ);extern OBJ __ABag_29;
extern OBJ _ABag_31(OBJ,OBJ,OBJ);extern OBJ __ABag_31;
extern OBJ _ABag_40(OBJ,OBJ,OBJ);extern OBJ __ABag_40;
extern OBJ _ABag_42(OBJ,OBJ,OBJ);extern OBJ __ABag_42;
extern OBJ _ABag_43(OBJ,OBJ,OBJ);extern OBJ __ABag_43;
extern OBJ _ABag_44(OBJ,OBJ,OBJ);extern OBJ __ABag_44;
extern OBJ _ABag_45(OBJ,OBJ,OBJ);extern OBJ __ABag_45;
extern OBJ _ABag_46(OBJ,OBJ,OBJ);extern OBJ __ABag_46;
extern OBJ _ABag_47(OBJ,OBJ,OBJ);extern OBJ __ABag_47;
extern OBJ _ABag_48(OBJ,OBJ,OBJ);extern OBJ __ABag_48;
extern OBJ _ABag_49(OBJ,OBJ,OBJ);extern OBJ __ABag_49;
extern OBJ _ABag_50(OBJ,OBJ,OBJ);extern OBJ __ABag_50;
extern OBJ _ABag_51(OBJ,OBJ,OBJ);extern OBJ __ABag_51;
extern OBJ _ABag_52(OBJ,OBJ,OBJ);extern OBJ __ABag_52;
extern OBJ _ABagConv_6(OBJ,OBJ);extern OBJ __ABagConv_6;
extern OBJ _ABagFilter_3(OBJ,OBJ,OBJ);extern OBJ __ABagFilter_3;
OBJ __AIdeBag_2; /* {} */
extern OBJ _AIdeBag_3(OBJ);OBJ __AIdeBag_3; /* {}? */
extern OBJ _AIdeBag_4(OBJ,OBJ);OBJ __AIdeBag_4; /* incl */
extern OBJ _AIdeBag_5(OBJ,OBJ);OBJ __AIdeBag_5; /* excl */
extern OBJ _AIdeBag_6(OBJ,OBJ);OBJ __AIdeBag_6; /* exclAll */
extern OBJ _AIdeBag_7(OBJ,OBJ);OBJ __AIdeBag_7; /* in */
extern OBJ _AIdeBag_8(OBJ,OBJ);OBJ __AIdeBag_8; /* ct */
extern OBJ _AIdeBag_9(OBJ,OBJ);OBJ __AIdeBag_9; /* + */
extern OBJ _AIdeBag_10(OBJ,OBJ);OBJ __AIdeBag_10; /* - */
extern OBJ _AIdeBag_11(OBJ,OBJ);OBJ __AIdeBag_11; /* * */
extern OBJ _AIdeBag_12(OBJ,OBJ);OBJ __AIdeBag_12; /* U */
extern OBJ _AIdeBag_13(OBJ,OBJ);OBJ __AIdeBag_13; /* | */
extern OBJ _AIdeBag_14(OBJ,OBJ);OBJ __AIdeBag_14; /* exist? */
extern OBJ _AIdeBag_15(OBJ,OBJ);OBJ __AIdeBag_15; /* forall? */
extern OBJ _AIdeBag_16(OBJ);OBJ __AIdeBag_16; /* % */
extern OBJ _AIdeBag_17(OBJ);OBJ __AIdeBag_17; /* arb */
extern OBJ _AIdeBag_18(OBJ);OBJ __AIdeBag_18; /* # */
extern OBJ _AIdeBag_19(OBJ,OBJ);OBJ __AIdeBag_19; /* = */
extern OBJ _AIdeBag_20(OBJ,OBJ);OBJ __AIdeBag_20; /* <= */
extern OBJ _AIdeBag_21(OBJ,OBJ);OBJ __AIdeBag_21; /* < */
extern OBJ _AIdeBag_22(OBJ);OBJ __AIdeBag_22; /* explodeCt */
extern OBJ _AIdeBag_23(OBJ);OBJ __AIdeBag_23; /* implodeCt */
extern OBJ _AIdeBag_24(OBJ);OBJ __AIdeBag_24; /* @ */
extern OBJ _AIdeBag_25(OBJ);OBJ __AIdeBag_25; /* @? */
extern OBJ _AIdeBag_26(OBJ);OBJ __AIdeBag_26; /* ! */

extern OBJ _AIdeBag_3(OBJ x1) /* {}? */
{OBJ r;
 if(ISPRM(x1)){
  r=__ABUILTIN_5;
 }else{
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AIdeBag_4(OBJ x1,OBJ x2) /* incl */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABag_40(__AIde_14,x1,x2);
 return r;}

extern OBJ _AIdeBag_5(OBJ x1,OBJ x2) /* excl */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABag_42(__AIde_14,x1,x2);
 return r;}

extern OBJ _AIdeBag_6(OBJ x1,OBJ x2) /* exclAll */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABag_43(__AIde_14,x1,x2);
 return r;}

extern OBJ _AIdeBag_7(OBJ x1,OBJ x2) /* in */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABag_48(__AIde_14,x1,x2);
 return r;}

extern OBJ _AIdeBag_8(OBJ x1,OBJ x2) /* ct */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABag_49(__AIde_14,x1,x2);
 return r;}

extern OBJ _AIdeBag_9(OBJ x1,OBJ x2) /* + */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABag_44(__AIde_14,x1,x2);
 return r;}

extern OBJ _AIdeBag_10(OBJ x1,OBJ x2) /* - */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABag_45(__AIde_14,x1,x2);
 return r;}

extern OBJ _AIdeBag_11(OBJ x1,OBJ x2) /* * */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABag_46(__AIde_14,x1,x2);
 return r;}

extern OBJ _AIdeBag_12(OBJ x1,OBJ x2) /* U */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABag_47(__AIde_14,x1,x2);
 return r;}

extern OBJ _AIdeBag_13(OBJ x1,OBJ x2) /* | */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABagFilter_3(__AIde_14,x1,x2);
 return r;}

extern OBJ _AIdeBag_14(OBJ x1,OBJ x2) /* exist? */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABag_29(__AIde_14,x1,x2);
 return r;}

extern OBJ _AIdeBag_15(OBJ x1,OBJ x2) /* forall? */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABag_31(__AIde_14,x1,x2);
 return r;}

extern OBJ _AIdeBag_16(OBJ x1) /* % */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABag_6(__AIde_14,x1);
 return r;}

extern OBJ _AIdeBag_17(OBJ x1) /* arb */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABag_24(__AIde_14,x1);
 return r;}

extern OBJ _AIdeBag_18(OBJ x1) /* # */
{OBJ r;
 r=_ASeq_52(x1,__ANat_5);
 return r;}

extern OBJ _AIdeBag_19(OBJ x1,OBJ x2) /* = */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABag_51(__AIde_14,x1,x2);
 return r;}

extern OBJ _AIdeBag_20(OBJ x1,OBJ x2) /* <= */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABag_50(__AIde_14,x1,x2);
 return r;}

extern OBJ _AIdeBag_21(OBJ x1,OBJ x2) /* < */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABag_52(__AIde_14,x1,x2);
 return r;}

extern OBJ _AIdeBag_22(OBJ x1) /* explodeCt */
{OBJ r;
 r=x1;
 return r;}

extern OBJ _AIdeBag_23(OBJ x1) /* implodeCt */
{OBJ r;
 CPCLS(__AIde_14,1);
 r=_ABagConv_6(__AIde_14,x1);
 return r;}

extern OBJ _AIdeBag_24(OBJ x1) /* @ */
{OBJ r;
 r=x1;
 return r;}

extern OBJ _AIdeBag_25(OBJ x1) /* @? */
{OBJ r;
 FREE(x1,1);
 r=__ABUILTIN_5;
 return r;}

extern OBJ _AIdeBag_26(OBJ x1) /* ! */
{OBJ r;
 r=x1;
 return r;}


init_AIdeBag()
{
 static int visited=0; if(visited) return; visited=1;
 init_ANat();
 init_APair();
 init_ASeq();
 init_AIde();
 init_AFormat();
 init_AString();
 init_ACom();
 init_AStream();
 init_AVoid();
 init_AFmt();
 init_AOption();
 init_AChar();
 init_AFile();
 init_AInt();
 init_ABag();
 init_ABagConv();
 init_ABagFilter();
 CLS(1,_AIdeBag_26,__AIdeBag_26);
 CLS(1,_AIdeBag_25,__AIdeBag_25);
 CLS(1,_AIdeBag_24,__AIdeBag_24);
 CLS(1,_AIdeBag_23,__AIdeBag_23);
 CLS(1,_AIdeBag_22,__AIdeBag_22);
 CLS(2,_AIdeBag_21,__AIdeBag_21);
 CLS(2,_AIdeBag_20,__AIdeBag_20);
 CLS(2,_AIdeBag_19,__AIdeBag_19);
 CLS(1,_AIdeBag_18,__AIdeBag_18);
 CLS(1,_AIdeBag_17,__AIdeBag_17);
 CLS(1,_AIdeBag_16,__AIdeBag_16);
 CLS(2,_AIdeBag_15,__AIdeBag_15);
 CLS(2,_AIdeBag_14,__AIdeBag_14);
 CLS(2,_AIdeBag_13,__AIdeBag_13);
 CLS(2,_AIdeBag_12,__AIdeBag_12);
 CLS(2,_AIdeBag_11,__AIdeBag_11);
 CLS(2,_AIdeBag_10,__AIdeBag_10);
 CLS(2,_AIdeBag_9,__AIdeBag_9);
 CLS(2,_AIdeBag_8,__AIdeBag_8);
 CLS(2,_AIdeBag_7,__AIdeBag_7);
 CLS(2,_AIdeBag_6,__AIdeBag_6);
 CLS(2,_AIdeBag_5,__AIdeBag_5);
 CLS(2,_AIdeBag_4,__AIdeBag_4);
 CLS(1,_AIdeBag_3,__AIdeBag_3);
 __AIdeBag_2=__ASeq_6;}

